- CRITICAL: Fix add-drivers passing from mkinitrd to dracut bnc#868397 - Add s390 dcssblk driver and introduce rd.dcssblk= to pass mounts that should get activated at initrd stage fate#308263 Add: s390-dcssblk.patch OBS-URL: https://build.opensuse.org/request/show/225985 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=113
48 lines
1.4 KiB
Diff
48 lines
1.4 KiB
Diff
Index: dracut-036/modules.d/95dcssblk/module-setup.sh
|
|
===================================================================
|
|
--- /dev/null
|
|
+++ dracut-036/modules.d/95dcssblk/module-setup.sh
|
|
@@ -0,0 +1,29 @@
|
|
+#!/bin/bash
|
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
|
+
|
|
+# called by dracut
|
|
+check() {
|
|
+ local _arch=$(uname -m)
|
|
+ [ "$_arch" = "s390" -o "$_arch" = "s390x" ] || return 1
|
|
+ return 0
|
|
+}
|
|
+
|
|
+# called by dracut
|
|
+installkernel() {
|
|
+ if [ -e /sys/devices/dcssblk/*/block/dcssblk* ];then
|
|
+ hostonly='' instmods dcssblk
|
|
+ fi
|
|
+}
|
|
+
|
|
+# called by dracut
|
|
+install() {
|
|
+ inst_hook cmdline 30 "$moddir/parse-dcssblk.sh"
|
|
+ # If there is a config file which contains avail (best only of root device)
|
|
+ # disks to activate add it and use it during boot -> then we do not need
|
|
+ # a kernel param anymore
|
|
+ #if [[ $hostonly ]]; then
|
|
+ # inst /etc/dcssblk.conf
|
|
+ #fi
|
|
+}
|
|
+
|
|
Index: dracut-036/modules.d/95dcssblk/parse-dcssblk.sh
|
|
===================================================================
|
|
--- /dev/null
|
|
+++ dracut-036/modules.d/95dcssblk/parse-dcssblk.sh
|
|
@@ -0,0 +1,8 @@
|
|
+#!/bin/sh
|
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
|
+dcssblk_arg=$(getarg rd.dcssblk=)
|
|
+if [ $? == 0 ];then
|
|
+ info "Loading dcssblk segments=$dcssblk_arg"
|
|
+ modprobe dcssblk segments=$dcssblk_arg
|
|
+fi
|